> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get work experiences

> Retrieve all work experiences for a specific candidate including job titles, companies, dates, and experience statistics.



## OpenAPI

````yaml /openapi-private.json get /candidates/{id}/work-experiences
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /candidates/{id}/work-experiences:
    get:
      tags:
        - Candidates
      summary: Get work experiences
      description: >-
        Retrieve all work experiences for a specific candidate including job
        titles, companies, dates, and experience statistics.
      operationId: getWorkExperiencesForCandidate
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved work experiences
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CandidateDetailedWorkExperienceWithStatsDto
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ValidationExceptionDto'
                  - $ref: '#/components/schemas/ExceptionBaseDto'
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '404':
          description: Candidate not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    CandidateDetailedWorkExperienceWithStatsDto:
      type: object
      properties:
        workExperiences:
          type: array
          items:
            $ref: '#/components/schemas/CandidateDetailedWorkExperienceDto'
        workExperiencesStats:
          $ref: '#/components/schemas/CandidateWorkExperienceStatsDto'
      required:
        - workExperiences
        - workExperiencesStats
      id: PrivateCandidateDetailedWorkExperienceWithStatsDto
    ValidationExceptionDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssueDto'
      required:
        - status
        - message
        - requestId
        - errors
      id: ValidationExceptionDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
    CandidateDetailedWorkExperienceDto:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        companyName:
          type: string
        companyId:
          type: string
          minLength: 1
        companySize:
          type:
            - string
            - 'null'
          enum:
            - 1 employee
            - 2-10 employees
            - 11-50 employees
            - 51-200 employees
            - 201-500 employees
            - 501-1,000 employees
            - 1,001-5,000 employees
            - 5,001-10,000 employees
            - 10,001+ employees
            - null
        companyIndustry:
          anyOf:
            - $ref: '#/components/schemas/CompanyIndustry'
            - type: 'null'
        companyLogoUrl:
          anyOf:
            - type: string
            - type: 'null'
        jobTitle:
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
        startDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        endDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/LocationDto'
            - type: 'null'
        placements:
          type: array
          items:
            $ref: '#/components/schemas/PlacementBadgeDto'
      required:
        - id
        - companyName
        - companyId
        - companySize
        - companyIndustry
        - companyLogoUrl
        - jobTitle
        - description
        - startDate
        - endDate
        - location
      id: PrivateCandidateDetailedWorkExperienceDto
    CandidateWorkExperienceStatsDto:
      type: object
      properties:
        totalExperienceInMonths:
          anyOf:
            - type: number
            - type: 'null'
        averageTenureInMonths:
          anyOf:
            - type: number
            - type: 'null'
        currentTenureInMonths:
          anyOf:
            - type: number
            - type: 'null'
      required:
        - totalExperienceInMonths
        - averageTenureInMonths
        - currentTenureInMonths
      id: PrivateCandidateWorkExperienceStatsDto
    ValidationIssueDto:
      oneOf:
        - $ref: '#/components/schemas/ValidationRequiredDto'
        - $ref: '#/components/schemas/ValidationInvalidEmptyStringDto'
        - $ref: '#/components/schemas/ValidationUnknownFieldDto'
        - $ref: '#/components/schemas/ValidationTooSmallDto'
        - $ref: '#/components/schemas/ValidationTooBigDto'
        - $ref: '#/components/schemas/ValidationInvalidTypeDto'
        - $ref: '#/components/schemas/ValidationInvalidValueDto'
        - $ref: '#/components/schemas/ValidationInvalidEmailDto'
        - $ref: '#/components/schemas/ValidationInvalidUuidDto'
        - $ref: '#/components/schemas/ValidationInvalidUrlDto'
        - $ref: '#/components/schemas/ValidationInvalidDatetimeDto'
        - $ref: '#/components/schemas/ValidationInvalidDateDto'
        - $ref: '#/components/schemas/ValidationInvalidTimeDto'
        - $ref: '#/components/schemas/ValidationInvalidDurationDto'
        - $ref: '#/components/schemas/ValidationInvalidIpv4Dto'
        - $ref: '#/components/schemas/ValidationInvalidIpv6Dto'
        - $ref: '#/components/schemas/ValidationInvalidJsonStringDto'
        - $ref: '#/components/schemas/ValidationInvalidJwtDto'
        - $ref: '#/components/schemas/ValidationInvalidRegexDto'
        - $ref: '#/components/schemas/ValidationInvalidPhoneNumberDto'
        - $ref: '#/components/schemas/ValidationInvalidDomainDto'
        - $ref: '#/components/schemas/ValidationInvalidHttpsUrlDto'
        - $ref: '#/components/schemas/ValidationInvalidTimezoneDto'
        - $ref: '#/components/schemas/ValidationPaginationOffsetExceededDto'
      id: ValidationIssueDto
    CompanyIndustry:
      type: string
      enum:
        - Accessible Architecture and Design
        - Accessible Hardware Manufacturing
        - Accommodation and Food Services
        - Accounting
        - Administration of Justice
        - Administrative and Support Services
        - Advertising Services
        - Agricultural Chemical Manufacturing
        - Agriculture, Construction, Mining Machinery Manufacturing
        - Air, Water and Waste Program Management
        - Aviation & Aerospace
        - Airlines and Aviation
        - Abrasives and Nonmetallic Minerals Manufacturing
        - Alternative Dispute Resolution
        - Alternative Fuel Vehicle Manufacturing
        - Alternative Medicine
        - Ambulance Services
        - Amusement Parks and Arcades
        - Animal Feed Manufacturing
        - Animation
        - Animation and Post-production
        - Apparel Manufacturing
        - Apparel & Fashion
        - Appliances, Electrical, and Electronics Manufacturing
        - Architecture and Planning
        - Architectural and Structural Metal Manufacturing
        - Armed Forces
        - Artificial Rubber and Synthetic Fiber Manufacturing
        - Artists and Writers
        - Arts & Crafts
        - Audio and Video Equipment Manufacturing
        - Automation Machinery Manufacturing
        - Automotive
        - Aviation and Aerospace Component Manufacturing
        - Baked Goods Manufacturing
        - Banking
        - Bars, Taverns and Nightclubs
        - Bed and Breakfasts, Hostels, Homestays
        - Beverage Manufacturing
        - Biomass Electric Power Generation
        - Biotechnology
        - Biotechnology Research
        - Blockchain Services
        - Blogs
        - Boilers, Tanks, and Shipping Container Manufacturing
        - Book and Periodical Publishing
        - Book Publishing
        - Breweries
        - Broadcast Media Production and Distribution
        - Building Construction
        - Building Equipment Contractors
        - Building Finishing Contractors
        - Building Materials
        - Building Structure and Exterior Contractors
        - Business Consulting and Services
        - Business Content
        - Business Intelligence Platforms
        - Business Supplies & Equipment
        - Cable and Satellite Programming
        - Capital Markets
        - Caterers
        - Chemical Manufacturing
        - Chemical Raw Materials Manufacturing
        - Child Day Care Services
        - Chiropractors
        - Circuses and Magic Shows
        - Civic and Social Organizations
        - Civil Engineering
        - Claims Adjusting, Actuarial Services
        - Clay and Refractory Products Manufacturing
        - Climate Data and Analytics
        - Climate Technology Product Manufacturing
        - Coal Mining
        - Collection Agencies
        - Commercial and Industrial Equipment Rental
        - Commercial and Industrial Machinery Maintenance
        - Commercial and Service Industry Machinery Manufacturing
        - Commercial Real Estate
        - Communications Equipment Manufacturing
        - Community Development and Urban Planning
        - Community Services
        - Computer and Network Security
        - Computer Games
        - Computer Hardware
        - Computer Hardware Manufacturing
        - Computer Networking
        - Computer Networking Products
        - Computers and Electronics Manufacturing
        - Conservation Programs
        - Construction
        - Construction Hardware Manufacturing
        - Consumer Electronics
        - Consumer Goods
        - Consumer Goods Rental
        - Consumer Services
        - Correctional Institutions
        - Cosmetics
        - Cosmetology and Barber Schools
        - Courts of Law
        - Credit Intermediation
        - Cutlery and Handtool Manufacturing
        - Dairy
        - Dairy Product Manufacturing
        - Dance Companies
        - Data Infrastructure and Analytics
        - Data Security Software Products
        - Defense and Space Manufacturing
        - Defense & Space
        - Dentists
        - Design
        - Design Services
        - Desktop Computing Software Products
        - Digital Accessibility Services
        - Distilleries
        - E-learning
        - E-Learning Providers
        - Economic Programs
        - Education
        - Education Administration Programs
        - Education Management
        - Electric Lighting Equipment Manufacturing
        - Electric Power Generation
        - Electric Power Transmission, Control, and Distribution
        - Electrical Equipment Manufacturing
        - Electronic and Precision Equipment Maintenance
        - Embedded Software Products
        - Emergency and Relief Services
        - Energy Technology
        - Engineering Services
        - Engines and Power Transmission Equipment Manufacturing
        - Entertainment
        - Entertainment Providers
        - Environmental Quality Programs
        - Environmental Services
        - Equipment Rental Services
        - Events Services
        - Executive Offices
        - Executive Search Services
        - Fabricated Metal Products
        - Facilities Services
        - Family Planning Centers
        - Farming
        - Farming, Ranching, Forestry
        - Fashion Accessories Manufacturing
        - Financial Services
        - Fine Art
        - Fine Arts Schools
        - Fire Protection
        - Fisheries
        - Flight Training
        - Food and Beverage Manufacturing
        - Food and Beverage Retail
        - Food and Beverage Services
        - Food & Beverages
        - Food Production
        - Footwear and Leather Goods Repair
        - Footwear Manufacturing
        - Forestry and Logging
        - Fossil Fuel Electric Power Generation
        - Freight and Package Transportation
        - Fruit and Vegetable Preserves Manufacturing
        - Fuel Cell Manufacturing
        - Fundraising
        - Funds and Trusts
        - Furniture
        - Furniture and Home Furnishings Manufacturing
        - Gambling Facilities and Casinos
        - Geothermal Electric Power Generation
        - Glass Product Manufacturing
        - Glass, Ceramics and Concrete Manufacturing
        - Golf Courses and Country Clubs
        - Government Administration
        - Government Relations
        - Government Relations Services
        - Graphic Design
        - Ground Passenger Transportation
        - Health and Human Services
        - Health, Wellness & Fitness
        - Higher Education
        - Highway, Street, and Bridge Construction
        - Historical Sites
        - Holding Companies
        - Home Health Care Services
        - Horticulture
        - Hospitality
        - Hospitals
        - Hospitals and Health Care
        - Hotels and Motels
        - Household Appliance Manufacturing
        - Household and Institutional Furniture Manufacturing
        - Household Services
        - Housing and Community Development
        - Housing Programs
        - Human Resources
        - Human Resources Services
        - HVAC and Refrigeration Equipment Manufacturing
        - Hydroelectric Power Generation
        - Import & Export
        - Individual and Family Services
        - Industrial Automation
        - Industrial Machinery Manufacturing
        - Industry Associations
        - Information Services
        - Information Technology & Services
        - Insurance
        - Insurance Agencies and Brokerages
        - Insurance and Employee Benefit Funds
        - Insurance Carriers
        - Interior Design
        - International Affairs
        - International Trade and Development
        - Internet Marketplace Platforms
        - Internet News
        - Internet Publishing
        - Interurban and Rural Bus Services
        - Investment Advice
        - Investment Banking
        - Investment Management
        - IT Services and IT Consulting
        - IT System Custom Software Development
        - IT System Data Services
        - IT System Design Services
        - IT System Installation and Disposal
        - IT System Operations and Maintenance
        - IT System Testing and Evaluation
        - IT System Training and Support
        - Janitorial Services
        - Landscaping Services
        - Language Schools
        - Laundry and Drycleaning Services
        - Law Enforcement
        - Law Practice
        - Leasing Non-residential Real Estate
        - Leasing Residential Real Estate
        - Leather Product Manufacturing
        - Legal Services
        - Legislative Offices
        - Leisure, Travel & Tourism
        - Libraries
        - Lime and Gypsum Products Manufacturing
        - Loan Brokers
        - Luxury Goods & Jewelry
        - Machinery Manufacturing
        - Magnetic and Optical Media Manufacturing
        - Manufacturing
        - Maritime
        - Maritime Transportation
        - Marketing Services
        - Market Research
        - Mattress and Blinds Manufacturing
        - Measuring and Control Instrument Manufacturing
        - Meat Products Manufacturing
        - Mechanical Or Industrial Engineering
        - Media and Telecommunications
        - Media Production
        - Medical and Diagnostic Laboratories
        - Medical Device
        - Medical Equipment Manufacturing
        - Medical Practices
        - Mental Health Care
        - Metal Ore Mining
        - Metal Treatments
        - Metal Valve, Ball, and Roller Manufacturing
        - Metalworking Machinery Manufacturing
        - Military and International Affairs
        - Mining
        - Mobile Computing Software Products
        - Mobile Food Services
        - Mobile Gaming Apps
        - Motor Vehicle Manufacturing
        - Motor Vehicle Parts Manufacturing
        - Movies and Sound Recording
        - Movies, Videos, and Sound
        - Museums
        - Museums, Historical Sites, and Zoos
        - Music
        - Musicians
        - Nanotechnology Research
        - Natural Gas Distribution
        - Natural Gas Extraction
        - Newspaper Publishing
        - Nonmetallic Mineral Mining
        - Non-profit Organization Management
        - Non-profit Organizations
        - Nonresidential Building Construction
        - Nuclear Electric Power Generation
        - Nursing Homes and Residential Care Facilities
        - Office Administration
        - Office Furniture and Fixtures Manufacturing
        - Oil and Coal Product Manufacturing
        - Oil and Gas
        - Oil Extraction
        - Oil, Gas, and Mining
        - Online and Mail Order Retail
        - Online Audio and Video Media
        - Online Media
        - Operations Consulting
        - Optometrists
        - Outpatient Care Centers
        - Outsourcing and Offshoring Consulting
        - Outsourcing/Offshoring
        - Packaging and Containers Manufacturing
        - Packaging & Containers
        - Paint, Coating, and Adhesive Manufacturing
        - Paper and Forest Product Manufacturing
        - Paper & Forest Products
        - Pension Funds
        - Performing Arts
        - Performing Arts and Spectator Sports
        - Periodical Publishing
        - Personal and Laundry Services
        - Personal Care Product Manufacturing
        - Personal Care Services
        - Pet Services
        - Pharmaceutical Manufacturing
        - Philanthropic Fundraising Services
        - Philanthropy
        - Photography
        - Physical, Occupational and Speech Therapists
        - Physicians
        - Pipeline Transportation
        - Plastics and Rubber Product Manufacturing
        - Plastics Manufacturing
        - Political Organizations
        - Postal Services
        - Primary and Secondary Education
        - Primary Metal Manufacturing
        - Printing Services
        - Professional Organizations
        - Professional Services
        - Professional Training and Coaching
        - Program Development
        - Public Assistance Programs
        - Public Health
        - Public Policy
        - Public Policy Offices
        - Public Relations and Communications Services
        - Public Safety
        - Racetracks
        - Radio and Television Broadcasting
        - Rail Transportation
        - Railroad Equipment Manufacturing
        - Ranching
        - Ranching and Fisheries
        - Real Estate
        - Real Estate Agents and Brokers
        - Real Estate and Equipment Rental Services
        - Recreational Facilities
        - Regenerative Design
        - Religious Institutions
        - Renewable Energy Equipment Manufacturing
        - Renewable Energy Power Generation
        - Renewable Energy Semiconductor Manufacturing
        - Renewables & Environment
        - Repair and Maintenance
        - Research
        - Research Services
        - Residential Building Construction
        - Restaurants
        - Retail
        - Retail Apparel and Fashion
        - Retail Appliances, Electrical, and Electronic Equipment
        - Retail Art Dealers
        - Retail Art Supplies
        - Retail Books and Printed News
        - Retail Building Materials and Garden Equipment
        - Retail Florists
        - Retail Furniture and Home Furnishings
        - Retail Gasoline
        - Retail Groceries
        - Retail Health and Personal Care Products
        - Retail Luxury Goods and Jewelry
        - Retail Motor Vehicles
        - Retail Musical Instruments
        - Retail Office Equipment
        - Retail Office Supplies and Gifts
        - Retail Pharmacies
        - Retail Recyclable Materials & Used Merchandise
        - Reupholstery and Furniture Repair
        - Robotics Engineering
        - Robot Manufacturing
        - Rubber Products Manufacturing
        - Satellite Telecommunications
        - Savings Institutions
        - School and Employee Bus Services
        - Seafood Product Manufacturing
        - Secretarial Schools
        - Securities and Commodity Exchanges
        - Security and Investigations
        - Security Guards and Patrol Services
        - Security Systems Services
        - Semiconductor Manufacturing
        - Semiconductors
        - Services for Renewable Energy
        - Services for the Elderly and Disabled
        - Sheet Music Publishing
        - Shipbuilding
        - Shuttles and Special Needs Transportation Services
        - Sightseeing Transportation
        - Skiing Facilities
        - Smart Meter Manufacturing
        - Soap and Cleaning Product Manufacturing
        - Social Networking Platforms
        - Software Development
        - Solar Electric Power Generation
        - Sound Recording
        - Space Research and Technology
        - Specialty Trade Contractors
        - Spectator Sports
        - Sporting Goods
        - Sporting Goods Manufacturing
        - Sports and Recreation Instruction
        - Sports Teams and Clubs
        - Spring and Wire Product Manufacturing
        - Staffing and Recruiting
        - Steam and Air-Conditioning Supply
        - Strategic Management Services
        - Subdivision of Land
        - Sugar and Confectionery Product Manufacturing
        - Surveying and Mapping Services
        - Taxi and Limousine Services
        - Technical and Vocational Training
        - Technology, Information and Internet
        - Technology, Information and Media
        - Telecommunications
        - Telecommunications Carriers
        - Telephone Call Centers
        - Temporary Help Services
        - Textile Manufacturing
        - Theater Companies
        - Think Tanks
        - Tobacco
        - Tobacco Manufacturing
        - Translation and Localization
        - Transportation Equipment Manufacturing
        - Transportation, Logistics, Supply Chain and Storage
        - Transportation Programs
        - Transportation/Trucking/Railroad
        - Travel Arrangements
        - Truck Transportation
        - Trusts and Estates
        - Turned Products and Fastener Manufacturing
        - Urban Transit Services
        - Utilities
        - Utilities Administration
        - Utility System Construction
        - Vehicle Repair and Maintenance
        - Venture Capital and Private Equity Principals
        - Veterinary
        - Veterinary Services
        - Vocational Rehabilitation Services
        - Warehousing
        - Warehousing and Storage
        - Waste Collection
        - Waste Treatment and Disposal
        - Water Supply and Irrigation Systems
        - Water, Waste, Steam, and Air Conditioning Services
        - Wellness and Fitness Services
        - Wholesale
        - Wholesale Alcoholic Beverages
        - Wholesale Apparel and Sewing Supplies
        - Wholesale Appliances, Electrical, and Electronics
        - Wholesale Building Materials
        - Wholesale Chemical and Allied Products
        - Wholesale Computer Equipment
        - Wholesale Drugs and Sundries
        - Wholesale Food and Beverage
        - Wholesale Footwear
        - Wholesale Furniture and Home Furnishings
        - Wholesale Hardware, Plumbing, Heating Equipment
        - Wholesale Import and Export
        - Wholesale Luxury Goods and Jewelry
        - Wholesale Machinery
        - Wholesale Metals and Minerals
        - Wholesale Motor Vehicles and Parts
        - Wholesale Paper Products
        - Wholesale Petroleum and Petroleum Products
        - Wholesale Photography Equipment and Supplies
        - Wholesale Raw Farm Products
        - Wholesale Recyclable Materials
        - Wind Electric Power Generation
        - Wineries
        - Wine & Spirits
        - Wireless Services
        - Women's Handbag Manufacturing
        - Wood Product Manufacturing
        - Writing and Editing
        - Zoos and Botanical Gardens
      id: CompanyIndustry
    DateISO:
      id: DateISO
      format: date-time
      anyOf:
        - type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        - type: string
          format: date
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
    LocationDto:
      type: object
      properties:
        street1:
          anyOf:
            - type: string
            - type: 'null'
        street2:
          anyOf:
            - type: string
            - type: 'null'
        postalCode:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        rawCityCountry:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        formattedAddress:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - $ref: '#/components/schemas/LocationType'
            - type: 'null'
      required:
        - street1
        - street2
        - postalCode
        - city
        - region
        - state
        - country
        - rawCityCountry
        - latitude
        - longitude
        - formattedAddress
        - type
      id: PrivateLocationDto
    PlacementBadgeDto:
      type: object
      properties:
        id:
          type: string
        application:
          $ref: '#/components/schemas/IdDto'
        vacancy:
          anyOf:
            - $ref: '#/components/schemas/IdDto'
            - type: 'null'
      required:
        - id
        - application
        - vacancy
      id: PrivatePlacementBadgeDto
    ValidationRequiredDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - REQUIRED
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationRequiredDto
    ValidationInvalidEmptyStringDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_EMPTY_STRING
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidEmptyStringDto
    ValidationUnknownFieldDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - UNKNOWN_FIELD
        path:
          type: string
        message:
          type: string
        received: {}
        keys:
          type: array
          items:
            type: string
      required:
        - code
        - path
        - message
        - keys
      id: ValidationUnknownFieldDto
    ValidationTooSmallDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - TOO_SMALL
        path:
          type: string
        message:
          type: string
        received: {}
        minimum:
          type: number
        inclusive:
          type: boolean
        origin:
          type: string
      required:
        - code
        - path
        - message
        - minimum
        - inclusive
        - origin
      id: ValidationTooSmallDto
    ValidationTooBigDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - TOO_BIG
        path:
          type: string
        message:
          type: string
        received: {}
        maximum:
          type: number
        inclusive:
          type: boolean
        origin:
          type: string
      required:
        - code
        - path
        - message
        - maximum
        - inclusive
        - origin
      id: ValidationTooBigDto
    ValidationInvalidTypeDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_TYPE
        path:
          type: string
        message:
          type: string
        received: {}
        expected:
          type: string
      required:
        - code
        - path
        - message
        - expected
      id: ValidationInvalidTypeDto
    ValidationInvalidValueDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_VALUE
        path:
          type: string
        message:
          type: string
        received: {}
        expected: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidValueDto
    ValidationInvalidEmailDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_EMAIL
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidEmailDto
    ValidationInvalidUuidDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_UUID
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidUuidDto
    ValidationInvalidUrlDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_URL
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidUrlDto
    ValidationInvalidDatetimeDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DATETIME
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDatetimeDto
    ValidationInvalidDateDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DATE
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDateDto
    ValidationInvalidTimeDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_TIME
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidTimeDto
    ValidationInvalidDurationDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DURATION
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDurationDto
    ValidationInvalidIpv4Dto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_IPV4
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidIpv4Dto
    ValidationInvalidIpv6Dto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_IPV6
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidIpv6Dto
    ValidationInvalidJsonStringDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_JSON_STRING
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidJsonStringDto
    ValidationInvalidJwtDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_JWT
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidJwtDto
    ValidationInvalidRegexDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_REGEX
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidRegexDto
    ValidationInvalidPhoneNumberDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_PHONE_NUMBER
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidPhoneNumberDto
    ValidationInvalidDomainDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DOMAIN
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDomainDto
    ValidationInvalidHttpsUrlDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_HTTPS_URL
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidHttpsUrlDto
    ValidationInvalidTimezoneDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_TIMEZONE
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidTimezoneDto
    ValidationPaginationOffsetExceededDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - PAGINATION_OFFSET_EXCEEDED
        path:
          type: string
        message:
          type: string
        received: {}
        maximum:
          type: number
      required:
        - code
        - path
        - message
        - maximum
      id: ValidationPaginationOffsetExceededDto
    LocationType:
      type: string
      enum:
        - primary_home
        - secondary_home
        - primary_work
        - headquarters
        - regional_office
      id: LocationType
    IdDto:
      type: object
      properties:
        id:
          type: string
          minLength: 1
      required:
        - id
      id: IdDto
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````